package com.qmth.cqb.paper.model;

import org.springframework.data.annotation.Id;

import java.io.Serializable;

public class ExamPaper implements Serializable {


	private static final long serialVersionUID = 5708319465238504997L;

	@Id
	private Long examId;

	private String courseCode;
	
	private String groupCode;
	
	private String paperId;
	
	private int extractCount;//抽取试卷次数
	
	private double weight;//抽取权重比例

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getGroupCode() {
		return groupCode;
	}

	public void setGroupCode(String groupCode) {
		this.groupCode = groupCode;
	}

	public String getPaperId() {
		return paperId;
	}

	public void setPaperId(String paperId) {
		this.paperId = paperId;
	}

	public int getExtractCount() {
		return extractCount;
	}

	public void setExtractCount(int extractCount) {
		this.extractCount = extractCount;
	}

	public double getWeight() {
		return weight;
	}

	public void setWeight(double weight) {
		this.weight = weight;
	}
	
	
	
}
