package com.qmth.cqb.paper.model;

import java.io.Serializable;
import java.util.Map;
import java.util.List;

import com.qmth.cqb.base.model.QuesType;

/**
 * 试卷结构明细
 * Created by songyue on 16/12/28.
 */

public class PaperStructDetail implements Serializable{
	
	private static final long serialVersionUID = -1102384643351847702L;

	private String id;
	
	private Integer number;//大题序号
	
	private String name;//大题名称
	
	private List<QuesType> quesTypes;//大题类型
	
	private Double totalScore;//大题分数
	
	private Integer questionCount;//大题下的小题数量
	
	private Double[] questionScores;//大题下面小题分数

	private Map params;//大题参数

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Integer getNumber() {
		return number;
	}

	public void setNumber(Integer number) {
		this.number = number;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public List<QuesType> getQuesTypes() {
		return quesTypes;
	}

	public void setQuesTypes(List<QuesType> quesTypes) {
		this.quesTypes = quesTypes;
	}

	public Double getTotalScore() {
		return totalScore;
	}

	public void setTotalScore(Double totalScore) {
		this.totalScore = totalScore;
	}

	public Integer getQuestionCount() {
		return questionCount;
	}

	public void setQuestionCount(Integer questionCount) {
		this.questionCount = questionCount;
	}

	public Double[] getQuestionScores() {
		return questionScores;
	}

	public void setQuestionScores(Double[] questionScores) {
		this.questionScores = questionScores;
	}

	public Map getParams() {
		return params;
	}

	public void setParams(Map params) {
		this.params = params;
	}

	public PaperStructDetail() {
	}
}
