package com.qmth.cqb.paper.dto;


import java.io.Serializable;
import java.util.*;

/**
 * Created by songyue on 17/3/15.
 */
public class PaperDetailDto implements Serializable {
    private static final long serialVersionUID = -3520871668728091404L;

    private String id;

    private int number;//大题序号

    private String cnNum;//中文序号

    private String name;//大题名称

    private double score;//大题分数

    private int unitCount;//大题下的小题数量

    private List<PaperDetailUnitDto> paperDetailUnits;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public int getNumber() {
        return number;
    }

    public void setNumber(int number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public double getScore() {
        return score;
    }

    public void setScore(double score) {
        this.score = score;
    }

    public int getUnitCount() {
        return unitCount;
    }

    public void setUnitCount(int unitCount) {
        this.unitCount = unitCount;
    }

    public List<PaperDetailUnitDto> getPaperDetailUnits() {
        return paperDetailUnits;
    }

    public String getCnNum() {
        return cnNum;
    }

    public void setCnNum(String cnNum) {
        this.cnNum = cnNum;
    }

    public void setPaperDetailUnits(List<PaperDetailUnitDto> paperDetailUnits) {
        this.paperDetailUnits = paperDetailUnits;
    }
}

