package com.qmth.cqb.paper.dto;

import java.io.Serializable;
import java.util.Map;
import java.util.*;

/**
 * Created by songyue on 17/3/15.
 */
public class PaperDto implements Serializable{
    private static final long serialVersionUID = -4673013279766466337L;

    private String id;

    private String name;//试卷名称

    private String title;//试卷标题

    private double totalScore;//试卷总分

    private List<PaperDetailDto> paperDetails;

    private Map<String,String> params;//导入试卷属性

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(double totalScore) {
        this.totalScore = totalScore;
    }

    public List<PaperDetailDto> getPaperDetails() {
        return paperDetails;
    }

    public void setPaperDetails(List<PaperDetailDto> paperDetails) {
        this.paperDetails = paperDetails;
    }

    public Map<String, String> getParams() {
        return params;
    }

    public void setParams(Map<String, String> params) {
        this.params = params;
    }
}
